> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit form

> ## Submit a form
* The `name` and `email` attributes are required.
* The `email` attribute must be a valid and deliverable email address.

Example request body:
```json
{
  "data": {
    "type": "form_submissions",
    "attributes": {
      "name": "John Doe",
      "email": "john.doe@example.com"
    }
  }
}
```

Response will include the newly created form submission resource.
```json
{
  "data": {
    "id": "313",
    "type": "form_submissions",
    "attributes": {
      "name": "John Doe",
      "email": "john.doe@example.com",
      "address_line_1": null,
      "address_line_2": null,
      "address_city": null,
      "address_country": null,
      "address_state": null,
      "address_zip": null,
      "phone_number": null,
      "business_number": null,
      "mobile_phone_number": null
    },
    "relationships": {
      "site": {
        "data": {
          "id": "2",
          "type": "sites"
        }
      },
      "form": {
        "data": {
          "id": "15",
          "type": "forms"
        }
      }
    }
  }
}
```
## Behaviors and side effects
* Checks for disposable emails
* Validates email deliverability
* Sends double opt-in email if needed
* Subscribes contact (with opt-in handling)
* Subscribes to SMS if applicable
* Adds tags to contact
* Grants offers if configured
* Subscribes to email sequences
* Delivers webhooks
* Triggers automations




## OpenAPI

````yaml /openapi.yaml post /v1/forms/{id}/submit
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/forms/{id}/submit:
    post:
      tags:
        - Forms
      summary: Submit form
      description: |
        ## Submit a form
        * The `name` and `email` attributes are required.
        * The `email` attribute must be a valid and deliverable email address.

        Example request body:
        ```json
        {
          "data": {
            "type": "form_submissions",
            "attributes": {
              "name": "John Doe",
              "email": "john.doe@example.com"
            }
          }
        }
        ```

        Response will include the newly created form submission resource.
        ```json
        {
          "data": {
            "id": "313",
            "type": "form_submissions",
            "attributes": {
              "name": "John Doe",
              "email": "john.doe@example.com",
              "address_line_1": null,
              "address_line_2": null,
              "address_city": null,
              "address_country": null,
              "address_state": null,
              "address_zip": null,
              "phone_number": null,
              "business_number": null,
              "mobile_phone_number": null
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "2",
                  "type": "sites"
                }
              },
              "form": {
                "data": {
                  "id": "15",
                  "type": "forms"
                }
              }
            }
          }
        }
        ```
        ## Behaviors and side effects
        * Checks for disposable emails
        * Validates email deliverability
        * Sends double opt-in email if needed
        * Subscribes contact (with opt-in handling)
        * Subscribes to SMS if applicable
        * Adds tags to contact
        * Grants offers if configured
        * Subscribes to email sequences
        * Delivers webhooks
        * Triggers automations
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                    attributes:
                      $ref: '#/components/schemas/form_submission_attributes'
                  required:
                    - type
                    - attributes
              required:
                - data
      responses:
        '201':
          description: Success, shows the form submission data
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/form_submission_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    form_submission_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        business_number:
          type:
            - string
            - 'null'
        address_line_1:
          type:
            - string
            - 'null'
        address_line_2:
          type:
            - string
            - 'null'
        address_city:
          type:
            - string
            - 'null'
        address_state:
          type:
            - string
            - 'null'
        address_country:
          type:
            - string
            - 'null'
        address_zip:
          type:
            - string
            - 'null'
        custom_1:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_2:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
        custom_3:
          type: string
          nullable: true
          description: Support depends on custom fields of a site
    form_submission_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              $ref: '#/components/schemas/form_submission_attributes'
            relationships:
              type: object
              properties:
                site:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
                form:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````